<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Bootstrap Grid System</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body class="text-center">
    <h1>Bootstrap Introduction & Simple Styles</h1>

    <h2>Two Columns</h2>
    <div class="container-fluid">
        <h3>1:1 Ratio</h3>
        <div class="row">
            <div class="col-6 pt-3 pb-3 bg-primary">6 Col</div>
            <div class="col-6 pt-3 pb-3 bg-secondary">6 Col</div>
        </div>

        <h3>1:2 Ratio</h3>
        <div class="row">
            <div class="col-4 pt-3 pb-3 bg-primary">4 Col</div>
            <div class="col-8 pt-3 pb-3 bg-secondary">8 Col</div>
        </div>

        <h3>1:3 Ratio</h3>
        <div class="row">
            <div class="col-3 pt-3 pb-3 bg-primary">3 Col</div>
            <div class="col-9 pt-3 pb-3 bg-secondary">9 Col</div>
        </div>
    </div>

    <h2>Three Columns</h2>
    <div class="container-fluid">
        <h3>1:1:1 Ratio</h3>
        <div class="row">
            <div class="col-4 pt-3 pb-3 border border-dark bg-primary">4 Col</div>
            <div class="col-4 pt-3 pb-3 border border-dark bg-secondary">4 Col</div>
            <div class="col-4 pt-3 pb-3 border border-dark bg-primary">4 Col</div>
        </div>

        <h3>1:2:1 Ratio</h3>
        <div class="row">
            <div class="col-3 pt-3 pb-3 border border-dark bg-primary">3 Col</div>
            <div class="col-6 pt-3 pb-3 border border-dark bg-secondary">6 Col</div>
            <div class="col-3 pt-3 pb-3 border border-dark bg-primary">3 Col</div>
        </div>

        <h3>Uneven Ratio</h3>
        <div class="row">
            <div class="col-3 pt-3 pb-3 border border-dark bg-primary">3 Col</div>
            <div class="col-7 pt-3 pb-3 border border-dark bg-secondary">7 Col</div>
            <div class="col-2 pt-3 pb-3 border border-dark bg-primary">2 Col</div>
        </div>
    </div>

    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
        </div>
    </div>

    <!-- Mobile Responsive Columns -->
    <h2>Mobile Responsive Columns</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
        </div>
    </div>

    <h2>Multi-Column Layout</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog</div>
        </div>
    </div>

    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
            <div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
            <div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
        </div>
    </div>

    <h2>Column Orders</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
        </div>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
</body>
</html>